import request from '@/utils/request';

export function getSystemDevice(params:any){
  return request({
    url: '/auxcontrol/gateway-device/page' ,
    method: 'get',
    params:params
  });
}

export function getSystemDeviceList(params:any){
  return request({
    url: '/monitorConfig/gateway-device/list' ,
    method: 'post',
    params:params
  });
}
//网关机
export function getGatewayList(params:any){
  return request({
    url: '/auxcontrol/gateway-device/getGatewayList' ,
    method: 'get',
    params:params
  });
}
//新增变电站系统设备
export function addSystemDevice(data:any){
    return request({
      url: '/auxcontrol/gateway-device/addGatewayDevice' ,
      method: 'post',
      data
    });
  }
  //数据变电站系统设备
export function updateSystemDevice(data:any){
  return request({
    url: '/auxcontrol/gateway-device/updateGatewayDevice' ,
    method: 'post',
    data
  });
}  
  //根据ID删除变电站系统设备
export function deleteSystemDeviceById(params:any){
  return request({
    url: '/auxcontrol/gateway-device/deleteGatewayDeviceById' ,
    method: 'post',
    params:params
  });
}  
//批量变电站系统设备
export function deleteSystemDeviceByIds(params:any){
  return request({
    url: '/auxcontrol/gateway-device/batchDeleteGateway' ,
    method: 'post',
    params:params
});
}